Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.criteria
Class Joins.Set<Z,E>

    java.lang.Object
      org.apache.openjpa.persistence.criteria.SelectionImpl<X>
          org.apache.openjpa.persistence.criteria.ExpressionImpl<X>
              org.apache.openjpa.persistence.criteria.PathImpl<Z,X>
                  org.apache.openjpa.persistence.criteria.FromImpl<Z,E>
                      org.apache.openjpa.persistence.criteria.Joins.AbstractCollection<Z,Set<E>,E>
                          org.apache.openjpa.persistence.criteria.Joins.Set<Z,E>

Type Parameters:
  `Z` - the type from which being joined
  `E` - the type of the the set attribute elements

All Implemented Interfaces:
  Expression<E>, FetchParent<Z,E>, From<Z,E>, Join<Z,E>, Path<E>, PluralJoin<Z,Set<E>,E>, Selection<E>, SetJoin<Z,E>, TupleElement<E>, CriteriaExpression

Direct Known Subclasses:
  Joins.KeyJoin

Enclosing class:
  Joins

    static class Joins.Set<Z,E>

extends Joins.AbstractCollection<Z,Set<E>,E>
implements SetJoin<Z,E>

Join a java.util.Set<E> type attribute.

Field Summary

Fields inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`_member, _parent`

Constructor Summary
`Joins.Set(FromImpl<?,Z> parent, Members.SetAttributeImpl<? super Z,E> member, JoinType jt)`

Method Summary
`SetAttribute<? super Z,E>` | `getModel()` Returns the bindable object that corresponds to the path expression.

Methods inherited from class org.apache.openjpa.persistence.criteria.Joins.AbstractCollection
`asVariable, getAttribute, getJoinType, getMemberClassMetaData, getParent, toKernelExpression, toValue`

Methods inherited from class org.apache.openjpa.persistence.criteria.FromImpl
`acceptVisit, assertJoinable, fetch, fetch, fetch, fetch, fetch, fetch, getCorrelationParent, getFetches, getJoins, getType, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from class org.apache.openjpa.persistence.criteria.PathImpl
`asValue, get, get, get, get, getCorrelatedJoin, getCorrelatedPath, getCorrelatedRoot, getEmbeddedFieldMetaData, getInnermostMember, getInnermostParentPath, getMember, getParentPath, inSubquery, isCorrelated, setCorrelatedPath, traversePath, type`

Methods inherited from class org.apache.openjpa.persistence.criteria.ExpressionImpl
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from class org.apache.openjpa.persistence.criteria.SelectionImpl
`alias, asProjection, assertValidName, getAlias, getCompoundSelectionItems, getJavaType, isAliased, isAutoAliased, isCompoundSelection, setAutoAlias`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.persistence.criteria.Join
`getAttribute, getJoinType, getParent`

Methods inherited from interface javax.persistence.criteria.From
`getCorrelationParent, getJoins, isCorrelated, join, join, join, join, join, join, join, join, join, join, join, join, joinCollection, joinCollection, joinList, joinList, joinMap, joinMap, joinSet, joinSet`

Methods inherited from interface javax.persistence.criteria.Path
`get, get, get, get, getParentPath, type`

Methods inherited from interface javax.persistence.criteria.Expression
`as, in, in, in, in, isNotNull, isNull`

Methods inherited from interface javax.persistence.criteria.Selection
`alias, getCompoundSelectionItems, isCompoundSelection`

Methods inherited from interface javax.persistence.TupleElement
`getAlias, getJavaType`

Methods inherited from interface javax.persistence.criteria.FetchParent
`fetch, fetch, fetch, fetch, fetch, fetch, getFetches`

Constructor Detail

### Joins.Set

    public Joins.Set(FromImpl<?,Z> parent,
                     Members.SetAttributeImpl<? super Z,E> member,
                     JoinType jt)

Method Detail

### getModel

    public SetAttribute<? super Z,E> getModel()

  Description copied from class: `PathImpl`
  Returns the bindable object that corresponds to the path expression.

  Specified by:
    `getModel` in interface `Path<E>`
  Specified by:
    `getModel` in interface `PluralJoin<Z,Set<E>,E>`
  Specified by:
    `getModel` in interface `SetJoin<Z,E>`
  Overrides:
    `getModel` in class `Joins.AbstractCollection<Z,Set<E>,E>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.